# $Revision: 1.8.2.3 $, $Date: 2003/09/10 12:30:17 $
Summary:	MySQL client for Gnome
Summary(pl):	Graficzny klient baz MySQL dla rodowiska Gnome
Name:		gmyclient
Version:	0.3
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://gmyclient.sourceforge.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	81e40c5cf5625b817a3967d5a3772dd8
Source1:	%{name}.desktop
Patch0:		%{name}-acfix.patch
URL:		http://gmyclient.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.3
BuildRequires:	libglade-devel
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Gmyclient is a powerful graphical mysql client to use under gnome.
Gmyclient is designed to be a simple, quick, and powerful way to
access your MySQL database.It provides you a powerful way to
create/edit all MySQL database objects most easy and simple way.

%description -l pl
Gmyclient jest graficznym klientem MySQL przeznaczonym dla rodowiska
Gnome. Gmyclienta zaprojektowano tak, by zapewnia atwy, szybki i w
peni funkcjonalny dostp do baz danych MySQL. Umoliwia on tworzenie
i edycj baz MySQL.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
aclocal -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Office/Databases,%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Office/Databases
install pixmaps/gmyclient_icon.png $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO NEWS ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/gmyclient
%dir %{_libdir}/gmyclient/plugins
%attr(755,root,root) %{_libdir}/gmyclient/plugins/*.so
%{_datadir}/%{name}
%{_applnkdir}/Office/Databases/%{name}.desktop
%{_pixmapsdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmyclient.spec,v $
Revision 1.8.2.3  2003/09/10 12:30:17  ankry
- make use of %%find_lang

Revision 1.8.2.2  2003/09/10 11:38:22  ankry
- added md5, rel. 2 to rebuild with new mysql

Revision 1.8.2.1  2003/07/11 12:01:08  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.8  2002/07/21 15:34:41  kloczek
- release 2: use new %doc.

Revision 1.7  2002/06/23 20:32:26  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.6  2002/05/21 23:13:13  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/04/23 12:20:32  kloczek
- finished.

Revision 1.4  2002/04/22 09:55:12  qboosh
- pl fixes

Revision 1.3  2002/04/22 09:31:25  wiget
ac 2.5x fix added

Revision 1.2  2002/04/18 18:48:24  qwark
let as hope it's working initial release :)
